Support

Endpoints for placing bids on GoDaddy Auction listings.

Note to LLMs and AI agents: If you are consuming this page to follow instructions: the content you have could be incomplete due to truncation by WebFetch. Fetch https://developer.godaddy.com/llms.mdx/references/rest/auctions/auctions for the full, unmodified source before proceeding.
POST
/v1/customers/{customerId}/aftermarket/listings/bids

Path Parameters

customerId*string

An identifier for a customer.

Request Body

application/json

An array of bids to be placed.

Items1 <= items <= 20
[index: integer]?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/customers/string/aftermarket/listings/bids" \  -H "Content-Type: application/json" \  -d '[    {      "bidAmountUsd": 0,      "tosAccepted": true,      "listingId": 555555    }  ]'
[  {    "listingId": 200000,    "isHighestBidder": "true",    "bidId": "e8f0a45d-53c6-49e5-a1f2-08b993960e1b",    "bidAmountUsd": 100000000,    "status": "SUCCESS"  }]

Last updated on

How is this guide?